summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author chopp <nix4me@gmail.com>2010-05-11 22:55:33 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:33 +0200
commit6793381e1df00053d81ff41f1999dff4148db37d (patch)
treed99a51a5d182ac5203fa7d3a46391f341fb9a60b
parent4d7772792bf3e2eb27a6ba0fc60f4506f41ae4dd (diff)
downloadslackbuilds-6793381e1df00053d81ff41f1999dff4148db37d.tar.gz
slackbuilds-6793381e1df00053d81ff41f1999dff4148db37d.tar.xz
system/twin: Added to 12.1 repository
-rw-r--r--system/twin/README6
-rw-r--r--system/twin/slack-desc19
-rw-r--r--system/twin/twin.SlackBuild76
-rw-r--r--system/twin/twin.info8
4 files changed, 109 insertions, 0 deletions
diff --git a/system/twin/README b/system/twin/README
new file mode 100644
index 0000000000..54afe5a917
--- /dev/null
+++ b/system/twin/README
@@ -0,0 +1,6 @@
+Twin is a text-mode window environment. It turns a text terminal into a
+X11-style display with window manager, terminal windows, and can also serve
+as display for remote applications. Each terminal window provides the
+functions of a text-mode Linux console. Twin runs on X11, libggi, itself,
+the Linux console, and any termcap/ncurses-compatible tty. It supports
+multiple simultaneous displays, and can attach/detach each display on the fly.
diff --git a/system/twin/slack-desc b/system/twin/slack-desc
new file mode 100644
index 0000000000..46c6da5d7a
--- /dev/null
+++ b/system/twin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+twin: twin (a text-mode window environment.)
+twin:
+twin: Twin is a text-mode window environment. It turns a text terminal
+twin: into a X11-style display with window manager, terminal windows, and
+twin: can also serve as display for remote applications. Each terminal
+twin: window provides the functions of a text-mode Linux console.
+twin: Twin runs on X11, libggi, itself, the Linux console, and any
+twin: termcap/ncurses-compatible tty. It supports multiple simultaneous
+twin: displays, and can attach/detach each display on the fly.
+twin:
+twin: Homepage: http://sourceforge.net/projects/twin/
diff --git a/system/twin/twin.SlackBuild b/system/twin/twin.SlackBuild
new file mode 100644
index 0000000000..e11a61778d
--- /dev/null
+++ b/system/twin/twin.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for twin
+# Written by chopp (nix4me@gmail.com)
+# Some portions, methods and/or ideas obtained from:
+# http://slackbuilds.org/template.SlackBuild
+
+# Slightly modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=twin
+VERSION=${VERSION:-0.6.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ strip -g usr/lib/*.a
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/share/man $PKG/usr/
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ for i in \
+ BUGS COPYING COPYING.LIB Changelog.txt INSTALL README README.porting docs ;
+ do ln -s /usr/share/twin/$i . ; done
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/twin/twin.info b/system/twin/twin.info
new file mode 100644
index 0000000000..02c371d5d1
--- /dev/null
+++ b/system/twin/twin.info
@@ -0,0 +1,8 @@
+PRGNAM="twin"
+VERSION="0.6.0"
+HOMEPAGE="http://sourceforge.net/projects/twin/"
+DOWNLOAD="http://downloads.sourceforge.net/twin/twin-0.6.0.tar.gz"
+MD5SUM="7909bc6008e6779916bc3039e5c3c5db"
+MAINTAINER="chopp"
+EMAIL="nix4me@gmail.com"
+APPROVED="rworkman"